
Figure - Bug #116098
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT】【设置】【应用】设置里关于应删除电话功能，副屏不能插sim卡，无相关要求功能
2023-02-08 18:00 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2023-02-08

Priority: Normal Due date: 2023-02-10

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-15

Test Type: IT Root cause: 设置和权限应用没有对电话相关的权限显示进行限制��解决方案：��在权限应用和设置里边过滤掉电话权限相关的显示

Description

【前提条件】

None

【测试步骤】

1.打开 设置——应用——所有应用——设置——权限

2.查看相关权限

【预期结果】

2.没有电话相关功能权限

【实际结果】

2.有对应的电话功能

【复现概率】

3/3

History

#1 - 2023-02-08 18:01 - 物联网测试组_CDTS 段小刚

经讨论，PM决定删除电话的功能

#2 - 2023-02-08 20:00 - CD FW 曹覃刚

- Due date set to 2023-02-10

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#3 - 2023-02-11 14:12 - CD FW-程天颖

- Root cause set to 设置和权限应用没有对电话相关的权限显示进行限制

解决方案：

在权限应用和设置里边过滤掉电话权限相关的显示

■ Current conclusion

代码已提交
■ My analysis

设置和权限应用没有对电话相关的权限显示进行限制

解决方案：

在权限应用和设置里边过滤掉电话权限相关的显示

■ Next action

入库代码

#4 - 2023-02-15 10:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181048 general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings: Fix app info show Phone, Contacts, Camera permissionsTC-RID: 1201-0201814IssueID: TS-R-BUG-116098Change-Id:

Ieff835298a5440df6f740a8ad8c461e3dbe92962

#5 - 2023-02-15 10:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181045 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings: Fix app info show Phone, Contacts, Camera permissionsTC-RID: 1201-0201814IssueID: TS-R-BUG-116098Change-Id:

Ib776656b336dff3f0f92dcc7f9c1778fda9449a0

#6 - 2023-02-15 10:12 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to 物联网测试组_CDTS 段小刚

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-15

■ Current conclusion

代码已入库

■ My analysis

设置和权限应用没有对电话相关的权限显示进行限制

解决方案：

在权限应用和设置里边过滤掉电话权限相关的显示

■ Submit Url

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/181045

https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Permission/+/181048

#7 - 2023-02-15 16:38 - CDTS_TEST 王成
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/181045
https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Permission/+/181048


- Assignee changed from 物联网测试组_CDTS 段小刚 to CD Test赵飞

#8 - 2023-02-16 11:21 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0075.X101

验证结果：PASS

#9 - 2023-02-16 11:21 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
